From 54259a84c165246375546a34b0b5152b558acfb3 Mon Sep 17 00:00:00 2001
From: tteckster <tteckster@gmail.com>
Date: Sat, 18 Mar 2023 20:26:11 -0400
Subject: [PATCH] Update alpine-zigbee2mqtt-v5.sh

Tweak
---
 ct/alpine-zigbee2mqtt-v5.sh | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/ct/alpine-zigbee2mqtt-v5.sh b/ct/alpine-zigbee2mqtt-v5.sh
index aef1bdfb..209018a1 100644
--- a/ct/alpine-zigbee2mqtt-v5.sh
+++ b/ct/alpine-zigbee2mqtt-v5.sh
@@ -396,12 +396,12 @@ if command -v pveversion >/dev/null 2>&1; then
   install_script
 fi
 
-if ! command -v pveversion >/dev/null 2>&1 && [[ ! -f /etc/zigbee2mqtt/configuration.yaml ]]; then
-  msg_error "No ${APP} Installation Found!"
-fi
-
-if ! command -v pveversion >/dev/null 2>&1 && [[ -f /etc/zigbee2mqtt/configuration.yaml ]]; then
-  update_script  
+if ! command -v pveversion >/dev/null 2>&1; then
+  if [[ ! -f /etc/zigbee2mqtt/configuration.yaml ]]; then
+    msg_error "No ${APP} Installation Found!"
+  else
+    update_script
+  fi
 fi
 
 if [ "$VERB" == "yes" ]; then set -x; fi